#include "nsISupports.idl"

interface nsIDOMNode;
interface nsIDOMRange;

[scriptable, uuid(b1320100-47ad-4b8e-95f4-b4cdf6691d78)]
interface celtxINodeIterator : nsISupports
{
  void init (in nsIDOMNode start, in nsIDOMRange range);

  nsIDOMNode nextNode();
  nsIDOMNode previousNode();
};
